# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'db_obfuscation/version'

Gem::Specification.new do |spec|
  spec.name        = 'db_obfuscation'
  spec.version     = DbObfuscation::VERSION
  spec.authors     = ['Case Commons, LLC', 'Rajat Agrawal']
  spec.email       = ['casebook-dev@googlegroups.com', 'agrawal.rajat.89@gmail.com']
  spec.homepage    = 'https://github.com/CaseCommonsDevOps/db_obfuscation'
  spec.date        = '2015-07-21'
  spec.summary     = "A gem to obfuscate a production database with fake values for testing with a production size database"
  spec.description = <<-description.gsub(/\s{2,}/, ' ')
    db_obfuscation is a gem that helps to prepare a production size obfuscated database. This obfuscated database can be used for internal testing purposes like user acceptance testing, QA/Regression testing.

    db_obfuscation takes a production database and updates data in every row in each table with fake data. db_obfuscation ensures that associations between different tables are still maintained.
    description
  spec.license     = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/db_obfuscation}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
end
