require 'spec_helper'
require 'seeder'
require 'db_obfuscation/database'
require 'migrator'

module DbObfuscation
  module Cli
    describe Seeder do
      let(:db_yml) {
        File.expand_path('../../config/database.yml', __FILE__)
      }
      let(:migrations_path) {
        File.expand_path('../../test_db_setup/migrations', __FILE__)
      }
      let(:seeds_path) {
        File.expand_path('../../test_db_setup/seeds', __FILE__)
      }

      describe '.seed' do
        before do
          Migrator.down_migrate(db_yml, migrations_path)
          Migrator.migrate(db_yml, migrations_path)
        end

        it 'seeds the database with seed data' do
          expect(DbObfuscation::DB[:table_1].all).to eq []
          Seeder.seed(db_yml, seeds_path)
          expect(DbObfuscation::DB[:table_1].all).to_not eq([])
        end
      end
    end
  end
end
