require 'spec_helper'
require 'db_obfuscation/batch_formulator'

module DbObfuscation
  describe BatchFormulator do

    describe '.batch_for' do
      it 'returns a batch of obfuscated row values for a set of ids' do
        config = {
          field_1: :default_strategy,
          field_2: :default_strategy,
          date_field: :default_strategy
        }

        ids = [1,2]

        expected_batch = [
          { field_1: "'obfuscated_value'",
            field_2: "'obfuscated_value'",
            date_field: "'obfuscated_value'",
            id: 1 },
          { field_1: "'obfuscated_value'",
            field_2: "'obfuscated_value'",
            date_field: "'obfuscated_value'",
            id: 2 }
        ]

        allow(DbObfuscation::Obfuscator).to receive(:obfuscate)
          .and_return('obfuscated_value')
        obfuscated_batch = described_class.batch_for(config, ids)

        expect(obfuscated_batch).to eq expected_batch
      end
    end
  end
end
