require 'spec_helper'
require 'db_obfuscation/obfuscation_strategy'

module DbObfuscation
  describe ObfuscationStrategy do
    describe '.strategy' do
      it "returns ssn_strategy when column name is 'ssn'" do
        actual_strategy = described_class.strategy('ssn')
        expect(actual_strategy).to eq :ssn_strategy
      end

      it "returns ssn_strategy when column name matches 'ssn'" do
        actual_strategy = described_class.strategy('ssn_number')
        expect(actual_strategy).to eq :ssn_strategy
      end

      it "returns email_strategy when column name is 'email'" do
        actual_strategy = described_class.strategy('email')
        expect(actual_strategy).to eq :email_strategy
      end

      it "returns email_strategy when column name matches 'email'" do
        actual_strategy = described_class.strategy('contact_person_email')
        expect(actual_strategy).to eq :email_strategy
      end

      it "returns first_name_strategy when column name is 'first_name'" do
        actual_strategy = described_class.strategy('first_name')
        expect(actual_strategy).to eq :first_name_strategy
      end

      it "returns last_name_strategy when column name is 'last_name'" do
        actual_strategy = described_class.strategy('last_name')
        expect(actual_strategy).to eq :last_name_strategy
      end

      it "returns name_strategy when column name matches 'name'" do
        actual_strategy = described_class.strategy('name')
        expect(actual_strategy).to eq :name_strategy
      end
    end
  end
end
