require 'spec_helper'
require 'db_obfuscation/truncation'

module DbObfuscation
  describe Truncation do
    describe '.truncate' do
    around(:each) do |example|
      DB.transaction(rollback: :always) do
        example.run
      end
    end

    it 'truncates tables that match the user specified truncation patterns' do
      expect(DB[:truncation_table_1].all.count).to be > 0
      expect(DB[:audit_truncation_table].all.count).to be > 0
      described_class.truncate

      expect(DB[:truncation_table_1].all.count).to eq 0
      expect(DB[:audit_truncation_table].all.count).to eq 0
    end

    end

    describe '.tables' do
      it 'returns the list of truncation tables' do
        expect(described_class.tables).to match_array [:truncation_table_1,
                                                       :audit_truncation_table]
      end
    end
  end
end
